Bug 37447 - [Qt] QtLauncher crashes when opening web inspector on macos
Summary: [Qt] QtLauncher crashes when opening web inspector on macos
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Critical
Assignee: Tor Arne Vestbø
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 35784
  Show dependency treegraph
 
Reported: 2010-04-12 08:40 PDT by Luiz Agostini
Modified: 2010-04-29 00:17 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Agostini 2010-04-12 08:40:16 PDT
Details:

Process:         QtLauncher [3298]
Identifier:      QtLauncher
Version:         ??? (???)
Code Type:       X86 (Native)

Date/Time:       2010-04-12 12:26:30.699 -0300
OS Version:      Mac OS X 10.5.8 (9L31a)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00000000c001e120
Crashed Thread:  0

Thread 0 Crashed:
0   QtGui                         	0x00e116a3 QTextEngine::shapeTextMac(int) const + 1251
1   QtGui                         	0x00e11acf QTextEngine::shapeText(int) const + 79
2   QtGui                         	0x00e11f3f QTextEngine::shape(int) const + 111
3   QtGui                         	0x00e13892 QTextEngine::shapeLine(QScriptLine const&) + 482
4   QtGui                         	0x00d18dd8 QPainter::drawText(QPointF const&, QString const&, int, int) + 312
5   QtWebKit                      	0x052f6197 WebCore::Font::drawComplexText(WebCore::GraphicsContext*, WebCore::TextRun const&, WebCore::FloatPoint const&, int, int) const + 4281 (FontQt.cpp:169)
6   QtWebKit                      	0x0510a0ab WebCore::Font::drawText(WebCore::GraphicsContext*, WebCore::TextRun const&, WebCore::FloatPoint const&, int, int) const + 227 (Font.cpp:183)
7   QtWebKit                      	0x0511ae95 WebCore::GraphicsContext::drawText(WebCore::Font const&, WebCore::TextRun const&, WebCore::IntPoint const&, int, int) + 85 (GraphicsContext.cpp:338)
8   QtWebKit                      	0x051b58d3 __ZN7WebCoreL20paintTextWithShadowsEPNS_15GraphicsContextERKNS_4FontERKNS_7TextRunEiiiRKNS_8IntPointEiiiiPNS_10ShadowDataEb + 613 (InlineTextBox.cpp:307)
9   QtWebKit                      	0x051b7891 WebCore::InlineTextBox::paint(WebCore::RenderObject::PaintInfo&, int, int) + 3627 (InlineTextBox.cpp:492)
10  QtWebKit                      	0x051ae0fe WebCore::InlineFlowBox::paint(WebCore::RenderObject::PaintInfo&, int, int) + 944 (InlineFlowBox.cpp:676)
11  QtWebKit                      	0x051ae0fe WebCore::InlineFlowBox::paint(WebCore::RenderObject::PaintInfo&, int, int) + 944 (InlineFlowBox.cpp:676)
12  QtWebKit                      	0x052ade30 WebCore::RootInlineBox::paint(WebCore::RenderObject::PaintInfo&, int, int) + 38 (RootInlineBox.cpp:167)
13  QtWebKit                      	0x052485e3 WebCore::RenderLineBoxList::paint(WebCore::RenderBoxModelObject*, WebCore::RenderObject::PaintInfo&, int, int) const + 1225 (RenderLineBoxList.cpp:180)
14  QtWebKit                      	0x051cd9a7 WebCore::RenderBlock::paintContents(WebCore::RenderObject::PaintInfo&, int, int) + 137 (RenderBlock.cpp:1643)
15  QtWebKit                      	0x051ce09d WebCore::RenderBlock::paintObject(WebCore::RenderObject::PaintInfo&, int, int) + 451 (RenderBlock.cpp:1749)
16  QtWebKit                      	0x051ce4e1 WebCore::RenderBlock::paint(WebCore::RenderObject::PaintInfo&, int, int) + 253 (RenderBlock.cpp:1537)
17  QtWebKit                      	0x0524c456 WebCore::RenderListItem::paint(WebCore::RenderObject::PaintInfo&, int, int) + 58 (RenderListItem.cpp:315)
18  QtWebKit                      	0x051cd7e2 WebCore::RenderBlock::paintChildren(WebCore::RenderObject::PaintInfo&, int, int) + 758 (RenderBlock.cpp:1681)
19  QtWebKit                      	0x051cd9c9 WebCore::RenderBlock::paintContents(WebCore::RenderObject::PaintInfo&, int, int) + 171 (RenderBlock.cpp:1646)
20  QtWebKit                      	0x051ce09d WebCore::RenderBlock::paintObject(WebCore::RenderObject::PaintInfo&, int, int) + 451 (RenderBlock.cpp:1749)
21  QtWebKit                      	0x051ce4e1 WebCore::RenderBlock::paint(WebCore::RenderObject::PaintInfo&, int, int) + 253 (RenderBlock.cpp:1537)
22  QtWebKit                      	0x051cd7e2 WebCore::RenderBlock::paintChildren(WebCore::RenderObject::PaintInfo&, int, int) + 758 (RenderBlock.cpp:1681)
23  QtWebKit                      	0x051cd9c9 WebCore::RenderBlock::paintContents(WebCore::RenderObject::PaintInfo&, int, int) + 171 (RenderBlock.cpp:1646)
24  QtWebKit                      	0x051ce09d WebCore::RenderBlock::paintObject(WebCore::RenderObject::PaintInfo&, int, int) + 451 (RenderBlock.cpp:1749)
25  QtWebKit                      	0x051ce4e1 WebCore::RenderBlock::paint(WebCore::RenderObject::PaintInfo&, int, int) + 253 (RenderBlock.cpp:1537)
26  QtWebKit                      	0x0523d256 WebCore::RenderLayer::paintLayer(WebCore::RenderLayer*, WebCore::GraphicsContext*, WebCore::IntRect const&, unsigned int, WebCore::RenderObject*, WTF::HashMap<WebCore::OverlapTestRequestClient*, WebCore::IntRect, WTF::PtrHash<WebCore::OverlapTestRequestClient*>, WTF::HashTraits<WebCore::OverlapTestRequestClient*>, WTF::HashTraits<WebCore::IntRect> >*, unsigned int) + 2640 (RenderLayer.cpp:2376)
27  QtWebKit                      	0x0523d484 WebCore::RenderLayer::paintLayer(WebCore::RenderLayer*, WebCore::GraphicsContext*, WebCore::IntRect const&, unsigned int, WebCore::RenderObject*, WTF::HashMap<WebCore::OverlapTestRequestClient*, WebCore::IntRect, WTF::PtrHash<WebCore::OverlapTestRequestClient*>, WTF::HashTraits<WebCore::OverlapTestRequestClient*>, WTF::HashTraits<WebCore::IntRect> >*, unsigned int) + 3198 (RenderLayer.cpp:2399)
28  QtWebKit                      	0x0523d484 WebCore::RenderLayer::paintLayer(WebCore::RenderLayer*, WebCore::GraphicsContext*, WebCore::IntRect const&, unsigned int, WebCore::RenderObject*, WTF::HashMap<WebCore::OverlapTestRequestClient*, WebCore::IntRect, WTF::PtrHash<WebCore::OverlapTestRequestClient*>, WTF::HashTraits<WebCore::OverlapTestRequestClient*>, WTF::HashTraits<WebCore::IntRect> >*, unsigned int) + 3198 (RenderLayer.cpp:2399)
29  QtWebKit                      	0x0523d484 WebCore::RenderLayer::paintLayer(WebCore::RenderLayer*, WebCore::GraphicsContext*, WebCore::IntRect const&, unsigned int, WebCore::RenderObject*, WTF::HashMap<WebCore::OverlapTestRequestClient*, WebCore::IntRect, WTF::PtrHash<WebCore::OverlapTestRequestClient*>, WTF::HashTraits<WebCore::OverlapTestRequestClient*>, WTF::HashTraits<WebCore::IntRect> >*, unsigned int) + 3198 (RenderLayer.cpp:2399)
30  QtWebKit                      	0x0523d66c WebCore::RenderLayer::paint(WebCore::GraphicsContext*, WebCore::IntRect const&, unsigned int, WebCore::RenderObject*) + 82 (RenderLayer.cpp:2180)
31  QtWebKit                      	0x050b9cdf WebCore::FrameView::paintContents(WebCore::GraphicsContext*, WebCore::IntRect const&) + 855 (FrameView.cpp:1828)
32  QtWebKit                      	0x0534edec QWebFramePrivate::renderRelativeCoords(WebCore::GraphicsContext*, QWebFrame::RenderLayer, QRegion const&) + 720 (qwebframe.cpp:492)
33  QtWebKit                      	0x0534f136 QWebFrame::render(QPainter*, QRegion const&) + 120 (qwebframe.cpp:1220)
34  QtWebKit                      	0x05366fce QWebView::paintEvent(QPaintEvent*) + 148 (qwebview.cpp:930)
35  QtGui                         	0x00c27fb7 QWidget::event(QEvent*) + 2295
36  QtWebKit                      	0x05367282 QWebView::event(QEvent*) + 586 (qwebview.cpp:834)
37  QtGui                         	0x00bccafc QApplicationPrivate::notify_helper(QObject*, QEvent*) + 188
38  QtGui                         	0x00bd4237 QApplication::notify(QObject*, QEvent*) + 327
39  QtCore                        	0x0057e45c QCoreApplication::notifyInternal(QObject*, QEvent*) + 108
40  QtGui                         	0x00bcd90c qt_sendSpontaneousEvent(QObject*, QEvent*) + 60
41  QtGui                         	0x00b76b15 -[QCocoaView drawRect:] + 1125
42  com.apple.AppKit              	0x95b55bf8 -[NSView _drawRect:clip:] + 3853
43  com.apple.AppKit              	0x95b546ef -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] + 1050
44  com.apple.AppKit              	0x95b54a86 -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] + 1969
45  com.apple.AppKit              	0x95b53045 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 759
46  com.apple.AppKit              	0x95b53e9f -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 4433
47  com.apple.AppKit              	0x95b53e9f -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 4433
48  com.apple.AppKit              	0x95b53e9f -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 4433
49  com.apple.AppKit              	0x95b53e9f -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 4433
50  com.apple.AppKit              	0x95b52987 -[NSThemeFrame _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 306
51  com.apple.AppKit              	0x95b4f4ab -[NSView _displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] + 3090
52  com.apple.AppKit              	0x95a8fe7b -[NSView displayIfNeeded] + 933
53  com.apple.AppKit              	0x95a8fa29 -[NSWindow displayIfNeeded] + 189
54  QtGui                         	0x00b7b4b4 -[QCocoaWindow displayIfNeeded] + 276
55  com.apple.AppKit              	0x95a8f84c _handleWindowNeedsDisplay + 436
56  com.apple.CoreFoundation      	0x93425772 __CFRunLoopDoObservers + 466
57  com.apple.CoreFoundation      	0x93426acc CFRunLoopRunSpecific + 844
58  com.apple.CoreFoundation      	0x93427aa8 CFRunLoopRunInMode + 88
59  com.apple.HIToolbox           	0x966402ac RunCurrentEventLoopInMode + 283
60  com.apple.HIToolbox           	0x966400c5 ReceiveNextEventCommon + 374
61  com.apple.HIToolbox           	0x9663ff39 BlockUntilNextEventMatchingListInMode + 106
62  com.apple.AppKit              	0x95a8d6d5 _DPSNextEvent + 657
63  com.apple.AppKit              	0x95a8cf88 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
64  com.apple.AppKit              	0x95a85f9f -[NSApplication run] + 795
65  QtGui                         	0x00b88951 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1505
66  QtCore                        	0x0057d551 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 65
67  QtCore                        	0x0057d88a QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 170
68  QtCore                        	0x0057f776 QCoreApplication::exec() + 182
69  QtLauncher                    	0x00007af9 launcherMain(QApplication const&) + 11
70  QtLauncher                    	0x0000fc55 main + 1655 (main.cpp:1196)
71  QtLauncher                    	0x00004d5b _start + 209
72  QtLauncher                    	0x00004c89 start + 41

Thread 1:
0   libSystem.B.dylib             	0x94c7e2ce semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x94cb02c6 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x94cf5539 pthread_cond_wait + 48
3   QtCore                        	0x0047a096 QWaitCondition::wait(QMutex*, unsigned long) + 278
4   QtWebKit                      	0x05744ac0 WTF::ThreadCondition::wait(WTF::Mutex&) + 44
5   QtWebKit                      	0x053e9604 WebCore::IconDatabase::syncThreadMainLoop() + 654 (IconDatabase.cpp:1414)
6   QtWebKit                      	0x053e9b7b WebCore::IconDatabase::iconDatabaseSyncThread() + 1329 (IconDatabase.cpp:1038)
7   QtWebKit                      	0x053e9bcb WebCore::IconDatabase::iconDatabaseSyncThreadStart(void*) + 23 (IconDatabase.cpp:942)
8   QtWebKit                      	0x0574a2b4 __ZN3WTFL16threadEntryPointEPv + 120
9   QtWebKit                      	0x05744857 WTF::ThreadPrivate::run() + 23
10  QtCore                        	0x00479686 QThreadPrivate::start(void*) + 198
11  libSystem.B.dylib             	0x94caf155 _pthread_start + 321
12  libSystem.B.dylib             	0x94caf012 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x94ccd6fa select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x94caf155 _pthread_start + 321
2   libSystem.B.dylib             	0x94caf012 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xbfff7e44  ebx: 0xbfff7e60  ecx: 0x000098b0  edx: 0xbfff7e60
  edi: 0xbfff7b58  esi: 0x00000001  ebp: 0xbfff7b98  esp: 0xbfff76f0
   ss: 0x0000001f  efl: 0x00010202  eip: 0x00e116a3   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0xc001e120

Binary Images:
    0x1000 -    0xc9fe3 +QtLauncher ??? (???) <00fbdb9956e91e49343102b5084d2f7a> /Users/agostini/work/webkit/build/Debug/bin/QtLauncher
  0x1a0000 -   0x249fef +QtOpenGL ??? (???) <3dd557021467969f468e6bf02a698d3f> /Users/agostini/work/qt/build/lib/QtOpenGL.framework/Versions/4/QtOpenGL
  0x289000 -   0x387ff2 +QtNetwork ??? (???) <79820a458973953b2ac9c54432845513> /Users/agostini/work/qt/build/lib/QtNetwork.framework/Versions/4/QtNetwork
  0x3ed000 -   0x438fff +QtXml ??? (???) <015c409dcfc16ed08484d6bdf7160d2b> /Users/agostini/work/qt/build/lib/QtXml.framework/Versions/4/QtXml
  0x45a000 -   0x680ffb +QtCore ??? (???) <3c74762a6de850b5906207e5328eaa20> /Users/agostini/work/qt/build/lib/QtCore.framework/Versions/4/QtCore
  0x725000 -   0x773ff2 +QtMultimedia ??? (???) <541d45f04e87317a069e39c4f9ea6f47> /Users/agostini/work/qt/build/lib/QtMultimedia.framework/Versions/4/QtMultimedia
  0x81e000 -   0x827fef +libqgenericbearer.dylib ??? (???) <f5eb7aef2abbd29524db065dd2b5b826> /Users/agostini/work/qt/build/plugins/bearer/libqgenericbearer.dylib
  0x830000 -   0x851ff7 +libqcncodecs.dylib ??? (???) <48fbdc59bde3b5be0ce051a3325a75d5> /Users/agostini/work/qt/build/plugins/codecs/libqcncodecs.dylib
  0x856000 -   0x868feb +libqkrcodecs.dylib ??? (???) <1bafe9b9680fa570b401f12fe383530a> /Users/agostini/work/qt/build/plugins/codecs/libqkrcodecs.dylib
  0xb4c000 -  0x13c0ff2 +QtGui ??? (???) <98ef02926871e6999bf206f76db2848d> /Users/agostini/work/qt/build/lib/QtGui.framework/Versions/4/QtGui
 0x1698000 -  0x1a6efe2 +QtXmlPatterns ??? (???) <cba6c32b3e14d2493c03bd460084fc87> /Users/agostini/work/qt/build/lib/QtXmlPatterns.framework/Versions/4/QtXmlPatterns
 0x48a8000 -  0x657fffb +QtWebKit ??? (???) <65d44410851424681f4e3725d2500d7d> /Users/agostini/work/webkit/build/Debug/lib/QtWebKit.framework/Versions/4/QtWebKit
 0x9150000 -  0x9177fe1 +libqjpcodecs.dylib ??? (???) <e6482cbd53c6e4c85e0ebef8b8234dd7> /Users/agostini/work/qt/build/plugins/codecs/libqjpcodecs.dylib
 0x9181000 -  0x91a6fe3 +libqtwcodecs.dylib ??? (???) <7fddde7588ce61eab5c2bf7d58c8f5db> /Users/agostini/work/qt/build/plugins/codecs/libqtwcodecs.dylib
 0x91f6000 -  0x91fbffb +libqgif.dylib ??? (???) <28c471312ab187f3772b45fd170b9f2c> /Users/agostini/work/qt/build/plugins/imageformats/libqgif.dylib
 0x9412000 -  0x9416fff +libqsvg.dylib ??? (???) <f49d9509c07301a95cf6e0502faf3599> /Users/agostini/work/qt/build/plugins/imageformats/libqsvg.dylib
 0x942a000 -  0x942fffb +libqico.dylib ??? (???) <210526b0b99a467e33bce9abbfea4791> /Users/agostini/work/qt/build/plugins/imageformats/libqico.dylib
0x1d333000 - 0x1d62cff3  com.apple.RawCamera.bundle 2.3.0 (505) <1c7cea30ffe2b4de98ced6518df1e54b> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x1dc97000 - 0x1dccbfe7 +libqjpeg.dylib ??? (???) <ba3e4868aa634b5f000701c8016f94e7> /Users/agostini/work/qt/build/plugins/imageformats/libqjpeg.dylib
0x1dcd4000 - 0x1dd1efe7 +libqmng.dylib ??? (???) <1be3ae82f751b8b63a1a0f2e3e6764b0> /Users/agostini/work/qt/build/plugins/imageformats/libqmng.dylib
0x1dd2e000 - 0x1dd6fff7 +QtSvg ??? (???) <7d5fc0f1eeffb85e447279f56cdbfaf1> /Users/agostini/work/qt/build/lib/QtSvg.framework/Versions/4/QtSvg
0x1dd90000 - 0x1dddffeb +libqtiff.dylib ??? (???) <f9032618806cd630fa848c9d337e1591> /Users/agostini/work/qt/build/plugins/imageformats/libqtiff.dylib
0x8fe00000 - 0x8fe2db43  dyld 97.1 (???) <458eed38a009e5658a79579e7bc26603> /usr/lib/dyld
0x90003000 - 0x900aafec  com.apple.CFNetwork 438.14 (438.14) <5f9ee0430b5f6319f18d9b23e777e0d2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9011e000 - 0x90133ffb  com.apple.ImageCapture 5.0.2 (5.0.2) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x90134000 - 0x901b1feb  com.apple.audio.CoreAudio 3.1.2 (3.1.2) <782a08c44be4698597f4bbd79cac21c6> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x901b2000 - 0x901ceff3  libPng.dylib ??? (???) <df60749fd50bcfa0da5b4cac899e09df> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91120000 - 0x91121ffc  libffi.dylib ??? (???) <eaf10b99a3fbc4920b175809407466c0> /usr/lib/libffi.dylib
0x91122000 - 0x91151fe3  com.apple.AE 402.3 (402.3) <b13bfda0ad9314922ee37c0d018d7de9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91152000 - 0x9115effe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x9115f000 - 0x9119ffff  com.apple.CoreMediaIOServicesPrivate 20.0 (20.0) /System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
0x911f0000 - 0x911f4fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x911fb000 - 0x91204fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <da2d8411921a3fd8bc898dc753b7f3ee> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x912a9000 - 0x912c7fff  libresolv.9.dylib ??? (???) <36c871d5da9b49bb5bcf0449833d1dc5> /usr/lib/libresolv.9.dylib
0x912ce000 - 0x91310fef  com.apple.NavigationServices 3.5.2 (163) <26eeb5a205f749aad83d5dac0330c41f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x91311000 - 0x9139bfe3  com.apple.DesktopServices 1.4.8 (1.4.8) <a6edef2d49ffdee3b01010b7e6edac1f> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9139c000 - 0x913acfff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <7bd1ec22c47e62a11b34d7ba66606e2e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x913ad000 - 0x913afff5  libRadiance.dylib ??? (???) <3561a7a6405223a1737f41352f1fd8c8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x913c4000 - 0x913c4ffa  com.apple.CoreServices 32 (32) <373d6a888f9204641f313bc6070ae065> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x913c5000 - 0x913fffe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x91400000 - 0x91aa0feb  com.apple.CoreGraphics 1.409.5 (???) <a40644ccdbdc76e3a0ab4d468b2f9bdd> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x923bf000 - 0x923e8fff  libcups.2.dylib ??? (???) <a40b9403cc4a0dffefed110e1eab90c4> /usr/lib/libcups.2.dylib
0x923e9000 - 0x92401fff  com.apple.openscripting 1.2.8 (???) <54ab21172b8b3caa601dde44872a9c0d> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x924dc000 - 0x92536ff7  com.apple.CoreText 2.0.4 (???) <f0b6c1d4f40bd21505097f0255abfead> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x92624000 - 0x929e2fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x929e3000 - 0x92aaaff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x92ab8000 - 0x92b37ff5  com.apple.SearchKit 1.2.2 (1.2.2) <3b5f3ab6a363a4d8a2bbbf74213ab0e5> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x92b38000 - 0x92b76fff  libGLImage.dylib ??? (???) <a6425aeb77f4da13212ac75df57b056d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x92b77000 - 0x92c2eff3  com.apple.QTKit 7.6.4 (1327.73) /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x92c2f000 - 0x92c45fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <7d20b8d1fb238c3e71d0fa6fda18c4f7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x92c46000 - 0x92cc3fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92cc4000 - 0x93061fef  com.apple.QuartzCore 1.5.8 (1.5.8) <a28fa54346a9f9d5b3bef076a1ee0fcf> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x93105000 - 0x931e5fff  libobjc.A.dylib ??? (???) <bba0c22add60c7724e259ab28de8953e> /usr/lib/libobjc.A.dylib
0x931e6000 - 0x931f2ff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x93276000 - 0x9329eff7  com.apple.shortcut 1.0.1 (1.0) <131202e7766e327d02d55c0f5fc44ad7> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x932a6000 - 0x932ffff7  libGLU.dylib ??? (???) <a3b9be30100a25a6cd3ad109892f52b7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x9333d000 - 0x93355ff7  com.apple.CoreVideo 1.6.0 (20.0) <587c9c8966070a7d50276db35e1c76aa> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x93356000 - 0x93364ffd  libz.1.dylib ??? (???) <a98b3b221a72b54faf73ded3dd7000e5> /usr/lib/libz.1.dylib
0x933b4000 - 0x934e7fe7  com.apple.CoreFoundation 6.5.7 (476.19) <a332c8f45529ee26d2e9c36d0c723bad> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9351f000 - 0x93599ff8  com.apple.print.framework.PrintCore 5.5.4 (245.6) <03d0585059c20cb0bde5e000438c49e1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9359a000 - 0x935b9ffa  libJPEG.dylib ??? (???) <37050c2a8d6f7026c94b4bf07c4d8a80> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x93632000 - 0x936d9feb  com.apple.QD 3.11.57 (???) <35f058678972d42b88ebdf652df79956> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x936da000 - 0x936e7fe7  com.apple.opengl 1.5.10 (1.5.10) <5a2813f80c9441170cc1ab8a3dac5038> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x936e8000 - 0x936efff7  libCGATS.A.dylib ??? (???) <1339abfb67318d65c0130f76bc8c4da6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x936f0000 - 0x936f7fe9  libgcc_s.1.dylib ??? (???) <e280ddf3f5fb3049e674edcb109f389a> /usr/lib/libgcc_s.1.dylib
0x936f8000 - 0x936fefff  com.apple.print.framework.Print 218.0.3 (220.2) <5b7f4ef7c2df36aff9605377775781e4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x936ff000 - 0x938d0ff3  com.apple.security 5.0.6 (37592) <c7c68c3ba198b36d571d4b1e028a1a77> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x93aa4000 - 0x93b85ff7  libxml2.2.dylib ??? (???) <b3bc0b280c36aa17ac477b4da56cd038> /usr/lib/libxml2.2.dylib
0x93b86000 - 0x93c13ff7  com.apple.framework.IOKit 1.5.2 (???) <7a3cc24f78f93931731203854ae0d891> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x93c14000 - 0x93c16fff  com.apple.securityhi 3.0 (30817) <40562b85d99118354c974e76c32fa6fb> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x93c17000 - 0x93cd1fe3  com.apple.CoreServices.OSServices 228 (228) <bc83e97f6888673c33f86652677c09cb> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x93e9d000 - 0x93ea8fe7  libCSync.A.dylib ??? (???) <d88c20c9a2fd0676dec62fddfa74979f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x93ea9000 - 0x942b9fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x942ba000 - 0x942e7feb  libvDSP.dylib ??? (???) <e89461ed03200fb3c0304e62e14a42ed> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x942e8000 - 0x942e8ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x9444d000 - 0x9444dffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x9444e000 - 0x944e1ff3  com.apple.ApplicationServices.ATS 3.8 (???) <eda9db16110de6b7fd9436cd0daa787d> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x944e2000 - 0x9453eff7  com.apple.htmlrendering 68 (1.1.3) <1c5c0c417891b920dfe139385fc6c155> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x9453f000 - 0x94865fe2  com.apple.QuickTime 7.6.4 (1327.73) <96515f6a2d628cd2105c7082295199b5> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x948ee000 - 0x948f5fff  com.apple.agl 3.0.9 (AGL-3.0.9) <2526a28a2fc087c09f9238dd03684513> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x948f6000 - 0x94a2fff7  libicucore.A.dylib ??? (???) <f2819243b278259b9a622ea111ea5fd6> /usr/lib/libicucore.A.dylib
0x94a30000 - 0x94b82ff3  com.apple.audio.toolbox.AudioToolbox 1.5.3 (1.5.3) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x94b83000 - 0x94bacfff  com.apple.CoreMediaPrivate 15.0 (15.0) /System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
0x94bca000 - 0x94c7cffb  libcrypto.0.9.7.dylib ??? (???) <d02f7e5b8a68813bb7a77f5edb34ff9d> /usr/lib/libcrypto.0.9.7.dylib
0x94c7d000 - 0x94de4ff3  libSystem.B.dylib ??? (???) <ae47ca9b1686b065f8ac4d2de09cc432> /usr/lib/libSystem.B.dylib
0x94de5000 - 0x94ed9ff4  libiconv.2.dylib ??? (???) <96ff4c6f84c4a1623cb78287371cdd3f> /usr/lib/libiconv.2.dylib
0x94eec000 - 0x94f2bfef  libTIFF.dylib ??? (???) <cd2e392973a1fa35f23a0f37f55c579c> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x94f2c000 - 0x94fb3ff7  libsqlite3.0.dylib ??? (???) <3334ea5af7a911637413334154bb4100> /usr/lib/libsqlite3.0.dylib
0x950eb000 - 0x95122fff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <cfd64ded4da1064ce316243fd425d5a4> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x95123000 - 0x9512bfff  com.apple.DiskArbitration 2.2.1 (2.2.1) <d97688958e0b1fdcd4747088bdf1962a> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x95265000 - 0x952a6fe7  libRIP.A.dylib ??? (???) <e9c5df8bd574b71e55ac60c910b929ce> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x952a7000 - 0x952f8ff7  com.apple.HIServices 1.7.1 (???) <ba7fd0ede540a0da08db027f87efbd60> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x952f9000 - 0x952f9fff  com.apple.Carbon 136 (136) <4177916bbf70e0ddc446f94001d54c95> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x952fa000 - 0x952faffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x95583000 - 0x9558dfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <df077a8048afc3075c6f2d9e7780e78e> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9558e000 - 0x9558effd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x9558f000 - 0x95594fff  com.apple.CommonPanels 1.2.4 (85) <c135f02edd6b2e2864311e0b9d08a98d> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x95595000 - 0x955c0fe7  libauto.dylib ??? (???) <a64961ed20db64f0f439bfbc6f962bf9> /usr/lib/libauto.dylib
0x9578a000 - 0x9579affc  com.apple.LangAnalysis 1.6.5 (1.6.5) <d057feb38163121ffd871c564c692804> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x95834000 - 0x95837fff  com.apple.help 1.1 (36) <1a25a8fbb49a830efb31d5c0a52939cd> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x95838000 - 0x95903fef  com.apple.ColorSync 4.5.3 (4.5.3) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x95904000 - 0x95a4cff7  com.apple.ImageIO.framework 2.0.7 (2.0.7) <cf45179ee2de2d46a6ced2ed147a454c> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x95a4d000 - 0x9624bfef  com.apple.AppKit 6.5.9 (949.54) <4df5d2e2271175452103f789b4f4d8a8> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9624c000 - 0x96295fef  com.apple.Metadata 10.5.8 (398.26) <e4d268ea45379200f03cdc7c8bedae6f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x96296000 - 0x96329fff  com.apple.ink.framework 101.3 (86) <d4c85b5cafa8027fff042b84a8be71dc> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x96334000 - 0x96334ff8  com.apple.ApplicationServices 34 (34) <ee7bdf593da050bb30c7a1fc446eb8a6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x96335000 - 0x9660fff3  com.apple.CoreServices.CarbonCore 786.11 (786.14) <d5cceb2fe9551d345d40dd1ecf409ec2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x96610000 - 0x96918fe7  com.apple.HIToolbox 1.5.6 (???) <eece3cb8aa0a4e6843fcc1500aca61c5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x96919000 - 0x96976ffb  libstdc++.6.dylib ??? (???) <f75e5133d72769de5ce6c06153fc65f6> /usr/lib/libstdc++.6.dylib
0x96b19000 - 0x96b20ffe  libbsm.dylib ??? (???) <fa7ae5f1a621d9b69e7e18747c9405fb> /usr/lib/libbsm.dylib
0x96b21000 - 0x96bd1fff  edu.mit.Kerberos 6.0.13 (6.0.13) <804bd1b3f08fb57396781f012006367c> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x96bd2000 - 0x970a3fbe  libGLProgrammability.dylib ??? (???) <7f18294a7bd0b6afe4319f29187fc70d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x970a4000 - 0x9718cff3  com.apple.CoreData 100.2 (186.2) <44df326fea0236718f5ed64084e82270> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x9718d000 - 0x971b1fff  libxslt.1.dylib ??? (???) <ec4c269815bab8e7211cb8fe9df3a9a3> /usr/lib/libxslt.1.dylib
0x971b2000 - 0x971b6fff  libGIF.dylib ??? (???) <e7d550bda10018f52e61bb499dcf445f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x971b7000 - 0x97244ff7  com.apple.LaunchServices 292 (292) <a41286c7c1eb20ffd5cc796f791070f0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9724d000 - 0x9724dffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9724e000 - 0x974cafe7  com.apple.Foundation 6.5.9 (677.26) <c68b3cff7864959becfc7fd1a384f925> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib
Comment 1 Kenneth Rohde Christiansen 2010-04-26 05:49:48 PDT
I think there were some font fixes. Is this still breaking?
Comment 2 Tor Arne Vestbø 2010-04-26 07:35:41 PDT
Can reproduce
Comment 3 Tor Arne Vestbø 2010-04-27 07:08:28 PDT
Bug was in Qt, fixed in oslo-staging-2